- entityDefinitions:
  - IDI_Task_TextAttribute_View: '{e30a3c5a-c734-49b4-9e3b-e00ed3e18e1e}'
  - IDI_Task_TextAttribute_Edit: '{f4463797-a148-4c27-820c-9624fbc1e9be}'
  - IDE_TextAttribute_View: '{e14c9520-9464-48da-bb6e-50f434ec8ea9}'
  - IDE_TextAttribute_Edit: '{9cd76f27-9f54-455e-b89e-541d11b89e06}'
  - IDE_TextAttribute_Subedits: '{31032b85-40da-4813-b8c0-25e515a3887c}'
  - IDI_TaskCategory_TextAttribute: '{8549c956-232a-4fbf-a0d0-38efbe928516}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_TextAttribute;'
    name: 'Text Attribute'

  - sequenceTask: '&IDI_Task_TextAttribute_View;'
    name: 'View Text Attribute'
    initiatingElement: '&IDE_TextAttribute_View;'
    taskCategory: '&IDI_TaskCategory_TextAttribute;'
    
  - sequenceTask: '&IDI_Task_TextAttribute_Edit;'
    name: 'Edit Text Attribute'
    initiatingElement: '&IDE_TextAttribute_Edit;'
    taskCategory: '&IDI_TaskCategory_TextAttribute;'
    
  - element: '&IDE_TextAttribute_View;'
    name: 'view text attribute'
    elementContents:
    - globalIdentifier: '{5075600b-178a-46eb-8a45-4ba0c3d7a0ce}'
      defaultDataType: '&IDE_TextAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_TextAttribute_Edit;'
    name: 'edit text attribute'
    elementContents:
    - globalIdentifier: '{b22bca1f-a2f7-436e-920c-6c1bd2c03c7b}'
      defaultDataType: '&IDE_TextAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_TextAttribute_Subedits;'
    name: 'text attribute subedits'
    elementContents:
    - globalIdentifier: '{d8d49f05-3cb7-4105-8fae-b02ab32b636c}'
      defaultDataType: '&IDC_TextAttribute;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{5c84b1c3-0e10-4eab-b5d7-cdcbd0c31184}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{8a8dff03-41c3-4258-b554-38242d9ae64f}'
      defaultDataType: '&IDA_Value;'
      label: 'Default Value'

    - globalIdentifier: '{2ba75873-08da-486b-900a-f18d7797cb2f}'
      defaultDataType: '&IDA_MaximumLength;'
      
    # - globalIdentifier: '{f6fbaab7-f947-49ee-95c3-d7b652e346f4}'
    #   defaultDataType: '&IDR_Work_Data__in__Namespace;'
    #   label: Namespace